Subject: Re: watchdog timeout panic in e1000 driver

From: Auke Kok <[email-masked]>
Date: Tue, 24 Oct 2006 09:15:07 -0700

Kenzo Iwami wrote:
> Hi,
> 
> Thank you for your comment.
> 
>> This panic report falls in the category "how hard can I break my system as root". 
>> Explicitly abusing the system performing restricted calls depletes resources and 
>> harasses the sw lock (in this case). The reason that the driver attempts to wait that 
>> long is that in the case of ESB2 systems, the SPI interface to the EEPROM can be slow, 
>> thus taking a long time to complete certain commands.
> 
> This problem originally occurred in a very large cluster system using snmp
> for server management. About two servers panicked each day. The program I sent
> is to reproduce this problem in a very short time. It does occur under normal
> load when there is a lot of servers.

hmm, not good - does your snmp daemon use ethtool excessively? That would certainly be 
painful to the driver (any driver!).

Anyway as I said in the same e-mail, we're working on reducing the lock timeout to a 
reasonable time. This will unfortunately take some time, as we need to change some major 
components in the driver to make sure this doesn't happen.

Cheers,

Auke